Summary:    Utility to create ELF boot images from Linux kernel images
Name:       mkelfimage
Version:    2.7
Release:    3%{?dist}
# No license declaration in the source files, but parts come from the Linux
# kernel.
License:    GPLv2
Group:      Development/Tools
URL:        ftp://ftp.lnxi.com/pub/mkelfImage/
Source0:    ftp://ftp.lnxi.com/pub/mkelfImage/mkelfImage-%{version}.tar.gz
Patch0:     mkelfimage-makefileconf.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
mkelfImage is a program that makes a elf boot image for linux kernel images.
The image should work with any i386 multiboot compliant boot loader, an ELF
boot loader that passes no options, a loader compliant with the linuxBIOS elf
booting spec or with the linux kexec kernel patch.  A key feature here is that
nothing relies upon BIOS calls, but they are made when necessary.  This is
useful for systems running linuxbios.

%prep
%setup -q -n mkelfImage-%{version}
%patch0 -p1 -b .makefileconf

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%attr(0755,root,root) %{_sbindir}/mkelfImage
%doc News
%doc COPYING
%doc AUTHORS
%{_mandir}/man8/mkelfImage.8.gz

%changelog
* Fri Feb 08 2008 Warren Togami <wtogami@redhat.com> - 2.7-3
- rebuild for gcc-4.3

* Sun Jan 13 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 2.7-1
- Package adapted for Fedora from an existing package by Eric Biederman, Joshua
  Aune and Andrew Ip.
